package com.qmth.themis.business.dto.response;

import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: task dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/3
 */
public class TBTaskDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "任务id")
    private Long id;//id

    @ApiModelProperty(name = "任务类型，calculate_exam_score：考试重新算分，import_exam_student：导入考生，import_exam_paper：导入试卷，import_invigilate_user：导入监考员，export_invigilate_user：导出监考员")
    private String type;//类型

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "实体id")
    private Long entityId;//实体id

    @ApiModelProperty(name = "任务状态，init：未开始，running：开始执行，finish：执行结束")
    private String status;//状态

    @ApiModelProperty(name = "实时摘要信息")
    private String summary;//实时摘要信息

    @ApiModelProperty(name = "进度")
    private Double progress;//进度

    @ApiModelProperty(name = "导出文件路径")
    private String hasResultFile;//导出文件路径

    @ApiModelProperty(name = "报告路径")
    private String hasReportFile;//报告路径

    @ApiModelProperty(name = "创建时间")
    private Long createTime;//创建时间

    @ApiModelProperty(name = "开始时间")
    private Long startTime;//开始时间

    @ApiModelProperty(name = "结束时间")
    private Long finishTime;//结束时间

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "创建人id")
    private Long createId;//创建人id

    @ApiModelProperty(name = "创建人")
    private String createName;//创建人

    @ApiModelProperty(name = "导入文件名")
    private String importFileName;//导入文件名

    @ApiModelProperty(name = "业务对象名")
    private String entityName;//业务对象名
    
    @ApiModelProperty(name = "考试批次名称")
    private String examName;//考试批次名称

    public String getImportFileName() {
        return importFileName;
    }

    public void setImportFileName(String importFileName) {
        this.importFileName = importFileName;
    }

    public String getEntityName() {
        return entityName;
    }

    public void setEntityName(String entityName) {
        this.entityName = entityName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getEntityId() {
        return entityId;
    }

    public void setEntityId(Long entityId) {
        this.entityId = entityId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public Double getProgress() {
        return progress;
    }

    public void setProgress(Double progress) {
        this.progress = progress;
    }

    public String getHasResultFile() {
        return hasResultFile;
    }

    public void setHasResultFile(String hasResultFile) {
        this.hasResultFile = hasResultFile;
    }

    public String getHasReportFile() {
        return hasReportFile;
    }

    public void setHasReportFile(String hasReportFile) {
        this.hasReportFile = hasReportFile;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Long finishTime) {
        this.finishTime = finishTime;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}
    
    
}
